> ## Documentation Index
> Fetch the complete documentation index at: https://developer.transactbridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Products

> This API can be used to get all the products created.



## OpenAPI

````yaml /api-reference/Products/product.json post /product/v1.0/getAllProduct
openapi: 3.0.3
info:
  title: Product
  description: API's to add and get product information.
  version: 1.0.0
servers:
  - url: https://sandbox-api.transactbridge.com
    description: Sandbox Environment
  - url: https://api.transactbridge.com
    description: Production Environment
security:
  - ApiKeyAuth: []
    SignatureAuth: []
paths:
  /product/v1.0/getAllProduct:
    post:
      tags:
        - Product
      summary: Get All Products
      description: This API can be used to get all the products created.
      operationId: getAllProducts
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                filter:
                  type: object
                  description: Different filters can be applied to query the customers.
                  properties:
                    fromDate:
                      type: string
                      description: Filter customers according to the creation date.
                    toDate:
                      type: string
                      description: Filter customers according to the creation date.
                    status:
                      type: string
                      enum:
                        - CREATED
                        - STARTED
                        - CLOSED
                      description: To filter according to the status of the session
                    active:
                      type: boolean
                      description: To get the active and non active products.
                    hsnCode:
                      type: boolean
                      description: To get the products with same HSN codes
                    shippable:
                      type: string
                      description: To get the physical products
                page:
                  type: number
                  minimum: 1
                  default: 1
                  description: >-
                    To use for pagination. The default value is 1 and the
                    accepted value is only greater than or equal to 1.
      responses:
        '200':
          description: All the products
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getAllProduct'
components:
  schemas:
    getAllProduct:
      type: object
      properties:
        status:
          type: string
          description: status response
        sub_status:
          type: string
          description: Used for internal purposes only
        data:
          type: array
          description: All the products
          items:
            type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Merchant API Key
    SignatureAuth:
      type: apiKey
      in: header
      name: x-signature
      description: Generated request signature

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.